/**
 * Neon Ranger Skin
 * Custom sprite
 */

/* In-Game Sprite */
.player[data-character="ranger"][data-skin="neon_ranger"]::before {
    box-shadow:
        -8px -8px 0 0 #00FFFF,
        0px -8px 0 0 #00FFFF,
        8px -8px 0 0 #00FFFF,
        -8px 0px 0 0 #00FFFF,
        -4px 0px 0 0 #ffe014,
        0px 0px 0 0 #fff714,
        4px 0px 0 0 #fbff14,
        8px 0px 0 0 #00FFFF,
        -8px 8px 0 0 #FF00FF,
        -4px 8px 0 0 #00FFFF,
        0px 8px 0 0 #24ff14,
        4px 8px 0 0 #00FFFF,
        8px 8px 0 0 #FF00FF,
        -4px 16px 0 0 #d900d9,
        4px 16px 0 0 #d900d9,
        -12px -8px 0 0 #00FFFF;
}

/* Character Selection Preview */
.char-card-preview[data-character="ranger"][data-skin="neon_ranger"]::before {
    box-shadow:
        -8px -8px 0 0 #00FFFF,
        0px -8px 0 0 #00FFFF,
        8px -8px 0 0 #00FFFF,
        -8px 0px 0 0 #00FFFF,
        -4px 0px 0 0 #ffe014,
        0px 0px 0 0 #fff714,
        4px 0px 0 0 #fbff14,
        8px 0px 0 0 #00FFFF,
        -8px 8px 0 0 #FF00FF,
        -4px 8px 0 0 #00FFFF,
        0px 8px 0 0 #24ff14,
        4px 8px 0 0 #00FFFF,
        8px 8px 0 0 #FF00FF,
        -4px 16px 0 0 #d900d9,
        4px 16px 0 0 #d900d9,
        -12px -8px 0 0 #00FFFF;
}

/* Skin Selector Preview */
.skin-preview[data-character="ranger"][data-skin="neon_ranger"]::before {
    box-shadow:
        -8px -8px 0 0 #00FFFF,
        0px -8px 0 0 #00FFFF,
        8px -8px 0 0 #00FFFF,
        -8px 0px 0 0 #00FFFF,
        -4px 0px 0 0 #ffe014,
        0px 0px 0 0 #fff714,
        4px 0px 0 0 #fbff14,
        8px 0px 0 0 #00FFFF,
        -8px 8px 0 0 #FF00FF,
        -4px 8px 0 0 #00FFFF,
        0px 8px 0 0 #24ff14,
        4px 8px 0 0 #00FFFF,
        8px 8px 0 0 #FF00FF,
        -4px 16px 0 0 #d900d9,
        4px 16px 0 0 #d900d9,
        -12px -8px 0 0 #00FFFF;
}
